"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerificationService = void 0;
const core_1 = require("@ethereum-sourcify/core");
const Injector_1 = require("./Injector");
class VerificationService {
    constructor(fileService, logger) {
        this.findByAddress = (address, chain) => {
            // Try to find by address, return on success.
            let matches = [];
            try {
                matches = this.fileService.findByAddress(address, chain);
            }
            catch (err) {
                const msg = "Could not find file in repository";
                this.logger.info({
                    loc: '[POST:VERIFICATION_BY_ADDRESS_FAILED]',
                    address: address
                }, msg);
            }
            return matches;
        };
        this.inject = async (inputData) => {
            // Injection
            //const injection: Promise<Match>;
            //const { repository, chain, addresses, files } = inputData;
            if (!this.injector) {
                this.injector = await Injector_1.Injector.createAsync({
                    log: this.logger,
                    infuraPID: process.env.INFURA_ID,
                    repositoryPath: this.fileService.repositoryPath,
                    fileService: this.fileService
                });
            }
            return this.injector.inject(inputData);
            //TODO:
            // const exchange = "test";
            // const topic = "test";
            //const channel: ConfirmChannel = await MQ.createChannelAndExchange(exchange, topic);
            //MQ.publishToExchange(exchange, channel, "inputdata", JSON.stringify(inputData));
            // promises.push(injector.inject(inputData));
            //return injection;
            // // This is so we can have multiple parallel injections, logic still has to be completely implemented
            // Promise.all(promises).then((result) => {
            //     res.status(200).send({result});
            // }).catch(err => {
            //     next(err); // Just forward it to error middelware
            // })
        };
        this.fileService = fileService;
        this.logger = logger || core_1.Logger("VerificationService");
    }
}
exports.VerificationService = VerificationService;
//# sourceMappingURL=VerificationService.js.map